Debian Bug report logs - #674649
Please disable celt support in roaraudio

version graph

Package: roaraudio; Maintainer for roaraudio is Patrick Matthäi <pmatthaei@debian.org>; Source for roaraudio is src:roaraudio.

Reported by: Ron <ron@debian.org>

Date: Sat, 26 May 2012 12:15:04 UTC

Severity: serious

Found in versions roaraudio/1.0~beta0-1, roaraudio/1.0~beta1-3

Fixed in version roaraudio/1.0~beta2-1

Done: Patrick Matthäi <pmatthaei@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Patrick Matthäi <pmatthaei@debian.org>:
Bug#674649; Package roaraudio. (Sat, 26 May 2012 12:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ron <ron@debian.org>:
New Bug report received and forwarded. Copy sent to Patrick Matthäi <pmatthaei@debian.org>. (Sat, 26 May 2012 12:16:14 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Please disable celt support in roaraudio
Date: Sat, 26 May 2012 21:37:18 +0930
Package: roaraudio
Version: 1.0~beta1-3
Severity: important

Hi,

As you know, we're planning on removing the celt package from Wheezy.
Please disable celt support at the soonest opportunity so that we can
move ahead with doing that before the freeze.  This codec is obsolete
now and should no longer be used by general purpose applications.

 Thanks,
 Ron




Information forwarded to debian-bugs-dist@lists.debian.org, Patrick Matthäi <pmatthaei@debian.org>:
Bug#674649; Package roaraudio. (Sat, 26 May 2012 15:06:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philipp Schafft <lion@lion.leolix.org>:
Extra info received and forwarded to list. Copy sent to Patrick Matthäi <pmatthaei@debian.org>. (Sat, 26 May 2012 15:06:19 GMT) Full text and rfc822 format available.

Message #10 received at 674649@bugs.debian.org (full text, mbox):

From: Philipp Schafft <lion@lion.leolix.org>
To: Ron <ron@debian.org>, 674649@bugs.debian.org
Subject: Re: Bug#674649: Please disable celt support in roaraudio
Date: Sat, 26 May 2012 16:47:07 +0200
[Message part 1 (text/plain, inline)]
reflum,

On Sat, 2012-05-26 at 21:37 +0930, Ron wrote:
> As you know, we're planning on removing the celt package from Wheezy.
> Please disable celt support at the soonest opportunity so that we can
> move ahead with doing that before the freeze.  This codec is obsolete
> now and should no longer be used by general purpose applications.

CELT adds a lot pain to maintainers and upstream. So I'm with you that
it should be removed.

Yet removal requires a good transtion. The first part was Opus entering
Debian. As of my understanding this was slowed down by legal problems.
The same problems slowing down (src:roaraudio) upstream development.
The next step is to implement the needed support for Opus in upstream.
See http://bts.keep-cool.org/ticket/243 for details.

This takes about two upstream release cycles (~2*1 month). Of cause you
can speed this up by helping the upstream team with implementing the
needed support.

Last step is to give users the time to update their config and convert
all files encoded in CELT (this may also apply to other packages
providing file based operations).

I already wrote a mail to the RA/RS-Announce list to speed up this last
step. Still people can not yet switch over because this depends on the
not yet implemented support. I would guess this will need one or two
months itself.

So I consider this transition doable in about 4 months. As you are very,
very late in the Debian release cycle I don't think this can be done
before the upcoming freeze.

-- 
Philipp.
 (Rah of PH2)
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Patrick Matthäi <pmatthaei@debian.org>:
Bug#674649; Package roaraudio. (Sat, 26 May 2012 16:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ron <ron@debian.org>:
Extra info received and forwarded to list. Copy sent to Patrick Matthäi <pmatthaei@debian.org>. (Sat, 26 May 2012 16:21:03 GMT) Full text and rfc822 format available.

Message #15 received at 674649@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: Philipp Schafft <lion@lion.leolix.org>
Cc: 674649@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#674649: Please disable celt support in roaraudio
Date: Sun, 27 May 2012 01:41:44 +0930
severity 674649 serious
kthxbye

On Sat, May 26, 2012 at 04:47:07PM +0200, Philipp Schafft wrote:
> reflum,
> 
> On Sat, 2012-05-26 at 21:37 +0930, Ron wrote:
> > As you know, we're planning on removing the celt package from Wheezy.
> > Please disable celt support at the soonest opportunity so that we can
> > move ahead with doing that before the freeze.  This codec is obsolete
> > now and should no longer be used by general purpose applications.
> 
> CELT adds a lot pain to maintainers and upstream. So I'm with you that
> it should be removed.

You're missing the point.  CELT isn't a pain and almost never has been,
except to people who didn't pay attention.  It was an experiment.  Now
the experiment is over and so it is obsolete, and henceforth unmaintained.


> Yet removal requires a good transtion. The first part was Opus entering
> Debian.

You're still missing the point.  Opus releasing just means celt really is
dead and never will be resurrected.  There is no 'transition', they aren't
compatible.  So the first and only part here is removing celt.

If you want to add support for Opus now or later, that is an entirely
separate question.  But it's not a prerequisite for removing celt now.


> As of my understanding this was slowed down by legal problems.

Your understanding is wrong.  You've had explicit permission to develop
and test with this for over 2 years now.  You've been lurking in places
where everybody who would listen was begged repeatedly to develop and
test with it and report any bugs that they found.  The only thing that
we were asked not to do was distribute it for general purpose use or in
commercial products until the bitstream was frozen and the working group
had signed off on a final version of it.


> The same problems slowing down (src:roaraudio) upstream development.

That 'problem' is entirely of your own invention.  You've been nagging
me about when this will be ready for over a year - at no point in that
did you actually mention that you've done *nothing* in all this time.

It's a bit late to find and report bugs against a spec after it is frozen.
But boggling about that is unrelated to this bug.


> The next step is to implement the needed support for Opus in upstream.
> See http://bts.keep-cool.org/ticket/243 for details.

This is unrelated to this bug.


> This takes about two upstream release cycles (~2*1 month). Of cause you
> can speed this up by helping the upstream team with implementing the
> needed support.

This is unrelated to this bug.


> Last step is to give users the time to update their config and convert
> all files encoded in CELT (this may also apply to other packages
> providing file based operations).

This is ...  wait, What??

You've been encouraging people to create *files* encoded with CELT?

Srsly??


Let me get this straight.  You added support for an experimental codec,
that was designed specifically for real-time, low-latency streaming and
not at all for archival purposes.

That has never had 2 releases which are bitstream compatible.

And then ...  you told your users they could store their data in files
encoded with it ...  ?


What did you think they would read them with after the next CELT version
was uploaded?


I'm making this bug release critical on the basis of that.  This is data
loss waiting to happen, if it hasn't happened already.  There is no way
that Debian should ship with something that gets people to put their data
into files they will never be able to read ever again.


> I already wrote a mail to the RA/RS-Announce list to speed up this last
> step. Still people can not yet switch over because this depends on the
> not yet implemented support. I would guess this will need one or two
> months itself.
> 
> So I consider this transition doable in about 4 months. As you are very,
> very late in the Debian release cycle I don't think this can be done
> before the upcoming freeze.

I'm pretty sure I can upload a version that disables CELT in about 15 minutes.
Which should give you plenty of time to do that yourself before I consider
doing so myself.

If you don't have time to implement Opus support for this release, then that
is fine.  These two things are not directly related.  And this is not even
close to a reason to continue shipping a codec experiment that is obsolete
and now unsupported -- in fact you've just become the poster child for
precisely why we should not ...

You've been lurking around the people who developed this for longer than I
can remember now - and if you screwed this up so badly that you had people
encoding files with it, and had no idea that its future ended with the
IETF last call for Opus - then there is no way that we should continue to
ship this for a moment longer than is needed to remove it, lest other users,
who aren't so in the loop, also make similar mistakes regarding it.


So please, stop making unrelated excuses and just disable celt now.  You
aren't doing anybody, let alone your own users, any favours with that.
It sounds like this is one application that should have never ever enabled
it for public release in the first place.

Thank you.
Ron






Severity set to 'serious' from 'important' Request was from Ron <ron@debian.org> to control@bugs.debian.org. (Sat, 26 May 2012 16:21:12 GMT) Full text and rfc822 format available.

Marked as found in versions roaraudio/1.0~beta0-1. Request was from Ron <ron@debian.org> to control@bugs.debian.org. (Mon, 04 Jun 2012 16:33:05 GMT) Full text and rfc822 format available.

Reply sent to Patrick Matthäi <pmatthaei@debian.org>:
You have taken responsibility. (Wed, 06 Jun 2012 22:51:27 GMT) Full text and rfc822 format available.

Notification sent to Ron <ron@debian.org>:
Bug acknowledged by developer. (Wed, 06 Jun 2012 22:51:27 GMT) Full text and rfc822 format available.

Message #24 received at 674649-close@bugs.debian.org (full text, mbox):

From: Patrick Matthäi <pmatthaei@debian.org>
To: 674649-close@bugs.debian.org
Subject: Bug#674649: fixed in roaraudio 1.0~beta2-1
Date: Wed, 06 Jun 2012 22:48:02 +0000
Source: roaraudio
Source-Version: 1.0~beta2-1

We believe that the bug you reported is fixed in the latest version of
roaraudio, which is due to be installed in the Debian FTP archive:

libroar-compat2_1.0~beta2-1_amd64.deb
  to main/r/roaraudio/libroar-compat2_1.0~beta2-1_amd64.deb
libroar-dev_1.0~beta2-1_amd64.deb
  to main/r/roaraudio/libroar-dev_1.0~beta2-1_amd64.deb
libroar-plugins-universal_1.0~beta2-1_amd64.deb
  to main/r/roaraudio/libroar-plugins-universal_1.0~beta2-1_amd64.deb
libroar2_1.0~beta2-1_amd64.deb
  to main/r/roaraudio/libroar2_1.0~beta2-1_amd64.deb
roaraudio-dbg_1.0~beta2-1_amd64.deb
  to main/r/roaraudio/roaraudio-dbg_1.0~beta2-1_amd64.deb
roaraudio_1.0~beta2-1.debian.tar.gz
  to main/r/roaraudio/roaraudio_1.0~beta2-1.debian.tar.gz
roaraudio_1.0~beta2-1.dsc
  to main/r/roaraudio/roaraudio_1.0~beta2-1.dsc
roaraudio_1.0~beta2-1_amd64.deb
  to main/r/roaraudio/roaraudio_1.0~beta2-1_amd64.deb
roaraudio_1.0~beta2.orig.tar.gz
  to main/r/roaraudio/roaraudio_1.0~beta2.orig.tar.gz
roarclients_1.0~beta2-1_amd64.deb
  to main/r/roaraudio/roarclients_1.0~beta2-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 674649@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Patrick Matthäi <pmatthaei@debian.org> (supplier of updated roaraudio package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 07 Jun 2012 00:36:19 +0200
Source: roaraudio
Binary: libroar2 libroar-dev roaraudio-dbg roaraudio roarclients libroar-compat2 libroar-plugins-universal
Architecture: source amd64
Version: 1.0~beta2-1
Distribution: unstable
Urgency: low
Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Changed-By: Patrick Matthäi <pmatthaei@debian.org>
Description: 
 libroar-compat2 - drop-in replacements for other sound libraries
 libroar-dev - header files and documentation for the RoarAudio libraries
 libroar-plugins-universal - Collection of host-independent plugins for libroar
 libroar2   - foundation libraries for the RoarAudio sound server and clients
 roaraudio  - sound server for audio mixing
 roaraudio-dbg - RoarAudio sound server for audio mixing (debugging symbols)
 roarclients - Collection of basic clients for the RoarAudio Sound System
Closes: 674649
Changes: 
 roaraudio (1.0~beta2-1) unstable; urgency=low
 .
   [ Philipp Schafft ]
   * New upstream beta release.
     - Updated debian init script
     - Improved random number generator (RNG)
     - Improved runtime hardening
 .
   [ Patrick Matthäi ]
   * Drop the whole celt stuff without any mercy.
     Closes: #674649
   * Overwrite false positive hardening-no-fortify-functions lintian warnings.
Checksums-Sha1: 
 a09bbb4dea92f37686c704b28ecba015f1d8ae11 2399 roaraudio_1.0~beta2-1.dsc
 b6057bb03c6929cbfc3207b0fb5b2a52744ce984 679167 roaraudio_1.0~beta2.orig.tar.gz
 5627b207487dc5ddada94d6a57ef9536fbce0109 9792 roaraudio_1.0~beta2-1.debian.tar.gz
 0ae2a3919ab0488d3bd4434c7be500e085bed73b 206186 libroar2_1.0~beta2-1_amd64.deb
 d56d31dff10d4c2444fc8a607917cff2f0a3eff1 162110 libroar-dev_1.0~beta2-1_amd64.deb
 e3831c867278a26fcb64a31632a349397bc27c37 1036622 roaraudio-dbg_1.0~beta2-1_amd64.deb
 65484de6bef423bd3dcc06781eae5ac1034630b0 170710 roaraudio_1.0~beta2-1_amd64.deb
 5b811d1abecd82b2596c754367900cad934f672d 115600 roarclients_1.0~beta2-1_amd64.deb
 5ea5d4a8583bef4edda6eae62e63267b3db43bf8 64900 libroar-compat2_1.0~beta2-1_amd64.deb
 0d6e6ec521c2fe8f101cbe7a1d3137ecf027de5a 20944 libroar-plugins-universal_1.0~beta2-1_amd64.deb
Checksums-Sha256: 
 692d822e931f52ee4fe723ef8c55bdea7329b9c16e71e45b357e3722fdc98561 2399 roaraudio_1.0~beta2-1.dsc
 8d0ce1ef46c1156e4e31a124e04f5d0cd29882067de6bffd936cf1af2aa6515e 679167 roaraudio_1.0~beta2.orig.tar.gz
 5a678c5f2c6ef51523e864c3d759a0745021e8f6feb2cf0b05de0fd4b798e7ba 9792 roaraudio_1.0~beta2-1.debian.tar.gz
 b9d3a56e3a885a18040bd51364d059d94ba8b83bb48e797c9159f136e21e5147 206186 libroar2_1.0~beta2-1_amd64.deb
 8a7cea4734124cb3f75f2fb41442bdb1bf1bbd6a7ede4fa8d4a6e7e44d6c282a 162110 libroar-dev_1.0~beta2-1_amd64.deb
 4f2e15f57f5612ca1db90199c53c8332f71e501bbc81ff0b5459ee67cc56da04 1036622 roaraudio-dbg_1.0~beta2-1_amd64.deb
 f503f8b30c9a838ee91e24766f1457a338e67483fd1d9e7b386f7e171a502ca9 170710 roaraudio_1.0~beta2-1_amd64.deb
 1bda5131e787406781afd6e46ad739372adfb7615a79b8d9315a7eb2e81b7dc4 115600 roarclients_1.0~beta2-1_amd64.deb
 fb2eaf01f2a08236f12583eaabeb4efb8cb648ec666c14511158b841c31ffdef 64900 libroar-compat2_1.0~beta2-1_amd64.deb
 a512442aad1edb02a7c9466e364d48a64887909f6052a320049abb194e1737c4 20944 libroar-plugins-universal_1.0~beta2-1_amd64.deb
Files: 
 4e734b2ade57ad79e5860ba239268855 2399 libs optional roaraudio_1.0~beta2-1.dsc
 a12e46ce8ad0e9d936f07d9448732d38 679167 libs optional roaraudio_1.0~beta2.orig.tar.gz
 a3ac00f8fc72cc05d44952ad6ecad45b 9792 libs optional roaraudio_1.0~beta2-1.debian.tar.gz
 34607fd5bccdd491be3ade69229bac66 206186 libs optional libroar2_1.0~beta2-1_amd64.deb
 06ab81c6f4e2cffd0a7064325e3fc9f1 162110 libdevel optional libroar-dev_1.0~beta2-1_amd64.deb
 e274e34431d545d91289b0a2a9fadf91 1036622 debug extra roaraudio-dbg_1.0~beta2-1_amd64.deb
 7477dfea1798daa4cea977a69352790a 170710 sound optional roaraudio_1.0~beta2-1_amd64.deb
 e9c965b6d9169bf0e4bf0610b9cab94a 115600 sound optional roarclients_1.0~beta2-1_amd64.deb
 7296a6036d57d39da9257cc944ae5bbf 64900 libs optional libroar-compat2_1.0~beta2-1_amd64.deb
 57849b7b0543c50e0bedd9769c7a798d 20944 sound optional libroar-plugins-universal_1.0~beta2-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJPz90+AAoJEBLZsEqQy9jk/z8P/RKbKy47iwxta4XOo2G+hCV9
LF3R9p/cSo6TRkU6T8bmOVmtaXV/fM5nnw3yQTqqnSASvNADhqOKYpO1G+DEWzej
ykSQfDmKMQN0Gs9FLnGEEX/k+ToLFRmZ2R8HURIHU5/3hZTD2iefGX/02U8IbePc
COWWu1kIq6wzPL0mNvBx1tSlo4pSYMT4n2vo/aYD5+4a65pqovscKvUAmZvdsjkE
ohfo+bN1hYNQsU59WCwSWkpE9NRC04ibRbyqsJz37QwzTLN+hd8Al02/iYHN7tcM
tzDNQKzAaRl6E69e0fKztNgNtyHjlmwJlvXvdEFJbM+sJW7n0oRM6SOwtiRE6W2n
bJPxV6esF92FyYBSVA/z3A1N+9zm6es8r8hfByoLtwQ8kYsOOwM7hU2n1M7FpaIg
RdqNfSnZQekWc67xbdit11xP4YQY5cHHBnD+BGsEx2+99d6SZx74QTzoRwlY9+Ta
Q7ODy49mflFeud8KP+xZfktqfx14epU5+ZuJTYYSGAauKrDF0qJ9B/NWruv/XBwL
xISFprb02n5y8DKI7SagY8q/TI4tJqdIYN9occQqOwC2BwJ3GrZHKKiujtfRTnCC
xA5NiDDy4JDeCa1bS5IJ5nYolweG9iFE4SgLZZoo4haVPp26DmEiihEyidfZdX6J
KRMHm47NJxyuYNdNZ0CN
=6tGR
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Patrick Matthäi <pmatthaei@debian.org>:
Bug#674649; Package roaraudio. (Thu, 07 Jun 2012 13:03:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philipp Schafft <lion@lion.leolix.org>:
Extra info received and forwarded to list. Copy sent to Patrick Matthäi <pmatthaei@debian.org>. (Thu, 07 Jun 2012 13:03:20 GMT) Full text and rfc822 format available.

Message #29 received at 674649@bugs.debian.org (full text, mbox):

From: Philipp Schafft <lion@lion.leolix.org>
To: 674649@bugs.debian.org
Subject: Last infos
Date: Thu, 07 Jun 2012 14:59:51 +0200
[Message part 1 (text/plain, inline)]
Dear archive reader,

If you wonder what happend please read:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=674634


-- 
Philipp.
 (Rah of PH2)
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 15 Jul 2012 07:30:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:37:53 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.